Bug 462265 - firefox reacts to any mouse movement with "scroll down"
firefox reacts to any mouse movement with "scroll down"
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-14 23:14 EDT by Horst H. von Brand
Modified: 2008-09-30 11:59 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-30 11:59:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf, as requested (593 bytes, application/octet-stream)
2008-09-15 18:15 EDT, Horst H. von Brand
no flags Details
Xorg.0.log (24.10 KB, text/plain)
2008-09-15 18:16 EDT, Horst H. von Brand
no flags Details

  None (edit)
Description Horst H. von Brand 2008-09-14 23:14:04 EDT
Description of problem:
After running for a while, firefox did the above twice or thrice here. It happened both with the builtin touchpad and an external USB mouse, any mouse movement or click was handled as a scroll down. PgUp/PgDown had the same efect. Restarting firefox got that fixed.

Version-Release number of selected component (if applicable):
firefox-3.0.1-1.fc10.x86_64

How reproducible:
After an hour or so of using firefox, sometimes.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
All graphics has been working weird of late: See 462262 for example. Also xpdf hangs suddenly, and when scrolling it sometimes updates just the top 2/3 of the page.
Comment 1 Matěj Cepl 2008-09-15 05:40:02 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

Also could you run xev >xev.log 2>&1 in xterm window, reproduce and attach xev.log to this bug as well, please?

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and let X11 autodetect your display and video card? Attach to this bug /var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Horst H. von Brand 2008-09-15 18:15:23 EDT
Created attachment 316791 [details]
xorg.conf, as requested
Comment 3 Horst H. von Brand 2008-09-15 18:16:44 EDT
Created attachment 316792 [details]
Xorg.0.log
Comment 4 Horst H. von Brand 2008-09-15 18:19:08 EDT
Problem isn't repeatable; in fact, firefox has worked OK all day. Will try to post xev output when it happens again.
Comment 5 Matěj Cepl 2008-09-16 11:58:41 EDT
OK, I will give you a month to provide me some useful information, that I would be able to reproduce it here.
Comment 6 Horst H. von Brand 2008-09-30 09:58:58 EDT
Hasn't happened again at all.
Comment 7 Matěj Cepl 2008-09-30 11:59:45 EDT
OK, closing as NOTABUG, and if that happens again, please, reopen with additional information.

Note You need to log in before you can comment on or make changes to this bug.